function [degenerate1,eig_real]=directions(A,J,C,m,Tol)
global definite

%%
direc=[];row1=1;degenerate1=0;
if definite==1 %Definite case     
    for r=1:(4*m) %[0,2pi[ interval
        direc(row1)=r;
        row1=row1+1;
    end
    eig_real=direc;
else
    for r=1:(2*m) %[0,pi[ interval
    %for r=-m+1:m+1 %intervalo [-pi/2,pi/2[
    % for r=m+1:3*m+1 %intervalo [pi/2,3pi/2[
        T=(exp(pi*i*(r-1)/(2*m))*A+exp(-pi*i*(r-1)/(2*m))*J*A'*J')/2;
        lambda=eig(T);
            for s=1:size(lambda,1)
                if abs(imag(lambda(s,1)))<=Tol 
                    direc(row1)=r; 
                    row1=row1+1;
                    break;
                end
            end
            
    end %r
      
    if isempty(direc)==1
        [degenerate1]=step_8(A,J,C,Tol);
        return;
    else
        [aux,eig_real]=degenerate(A,J,m,Tol,direc); %eig_real is the vector
           %cujos elementos so as direces em relao s quais the eigenvalues
           %are all real with anisotropic eigenvectors
            if aux==0 %There not exists at least one direction for which the eigenvalues are all real, do not intrelace, with anisotropic eigenvectors
                [degenerate1]=step_8(A,J,C,Tol);
                return
            end
    end
end %definite



