function [ponto_intersec]=interseccao_recta_suporte(eig_real,lambda,m,Tol)

clear x y
syms x y

S1=[];S2=[];
for t=1:size(lambda,2)-1 %CUIDADO A DIMENSO DE LAMBDA NO PODE NO SER IGUAL  DIMENSO DE EIG_REAL E DA ERRO
    w1=eig_real(t);
    theta1=pi*(w1-1)/(2*m);
    w2=eig_real(t+1);
    theta2=pi*(w2-1)/(2*m);
    lambda1=lambda(t);
    lambda2=lambda(t+1);
    if sin(theta1)*cos(theta1)~=0 && sin(theta2)*cos(theta2)~=0
        S=solve('x*cos(theta1)-y*sin(theta1)=lambda1','x*cos(theta2)-y*sin(theta2)=lambda2');
        S1=[S1 S.x];
        S1=subs(S1);
        S2=[S2 S.y];
        S2=subs(S2);
    elseif sin(theta1)==0 
        S=solve('x=lambda1/cos(theta1)','x*cos(theta2)-y*sin(theta2)=lambda2');
        S1=[S1 S.x];
        S1=subs(S1);
        S2=[S2 S.y];
        S2=subs(S2);
    elseif sin(theta2)==0 
        S=solve('x*cos(theta1)-y*sin(theta1)=lambda1','x=lambda2/cos(theta2)');
        S1=[S1 S.x];
        S1=subs(S1);
        S2=[S2 S.y];
        S2=subs(S2);    
    elseif cos(theta1)==0 
        S=solve('y=-lambda1/sin(theta1)','x*cos(theta2)-y*sin(theta2)=lambda2');
        S1=[S1 S.x];
        S1=subs(S1);
        S2=[S2 S.y];
        S2=subs(S2); 
     elseif cos(theta2)==0 
        S=solve('x*cos(theta1)-y*sin(theta1)=lambda1','y=-lambda2/sin(theta2)');
        S1=[S1 S.x];
        S1=subs(S1);
        S2=[S2 S.y];
        S2=subs(S2);      
     end
end
S1
S2
% clear u v x y
% syms u v x y
% S = solve(x+2*y-u, 4*x+5*y-v);
% sol = [S.x;S.y]
% 
% solve('x + y = 1','x - 11*y = 5')

bux1=0;
for k=1:size(S1,2)-1
    for r=k+1:size(S1,2)
        if abs(S1(k)-S1(r))>Tol
            bux1=1;
            break
        end
   end
end

if isempty(S1)==0
    bux2=0;
    for k=1:size(S2,2)-1
        for r=k+1:size(S2,2)
            if abs(S2(k)-S2(r))>Tol
                bux2=1;
                break
            end
       end
    end
end

if isempty(S2)==0
    if bux1==0 && bux2==0
        bux=0;
    else
        bux=1;
    end
end

if (isempty(S1)==1 && isempty(S1)==1) || bux==1
    ponto_intersec=[];
else
    ponto_intersec=[S1(1) S2(1)];
end
ponto_intersec









