function [q1,q2]=pseudo_lines(p1,p2,a,b)

%This routine plots the pseudo-line segments defined by the line vectores
%p1 and p2.
%%
col=1;q1=[];q2=[];
    for r=1:size(p1,2)
        for s=1:size(p2,2)
            q1(:,col)=a(:).*p1(r)+(1-a(:)).*p2(s);
            q2(:,col)=b(:).*p1(r)+(1-b(:)).*p2(s);
            col=col+1; 
        end
    end
    if isempty(q1)
        q1=p1;
    end
    if isempty(q2)
        q2=p1;
    end 


